#17 kiax 0.85-1 crashes on SUSE 10.0 i386

closed
nobody
None
5
2008-05-29
2006-07-06
No

> kiax
Thu Jul 6 15:28:33 2006 Using IAXClient ver.
CVS-2006/03/28-17:33
PortAudio error at Unable to open streams: Illegal
error number.
Thu Jul 6 15:28:33 2006 IaxWrapper::iaxc_initialize()
result = 0
Segmentation fault

Investigating with gdb got this:

(gdb) run
Starting program: /usr/bin/kiax
[Thread debugging using libthread_db enabled]
[New Thread 1086100896 (LWP 10550)]
Thu Jul 6 15:28:40 2006 Using IAXClient ver.
CVS-2006/03/28-17:33
PortAudio error at Unable to open streams: Illegal
error number.
Thu Jul 6 15:28:41 2006 IaxWrapper::iaxc_initialize()
result = 0

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1086100896 (LWP 10550)]

The strange thing is that it worked for a while when I
first installed it yesterday.

I did have some problems with audio today, but surely
this should not kill a program, or it's a bug?

I've tried deleting the kiaxrc files, reinstalling,
installing the RPM from OpenSUSE 10.0 which is at 0.84,
all with the same result.

I then tried building from sources, but got various C++
error messages which look like gcc 4.0 doesn't like the
source.

I tried building from the .src.rpm that OpenSUSE 10.0
provides but I can't find the dependency libdrm-devel.

Anybody know what is going on?

Discussion

  • Emo

    Emo - 2006-07-26

    Logged In: YES
    user_id=1223718

    Did you have any updates in the kernel? We had a similar
    case here, but after another update the problem was gone.
    Either smth with the ALSA-OSS emulation or kind of gcc4 thing..
    Hopefully, the next version of kiax will be adapted so gcc4
    will not complain.
    do you still get the segfault?

     
  • Anonymous - 2006-07-27

    Logged In: YES
    user_id=23461

    Hmm, looks like you're right, there was a kernel update the
    morning it stopped working. Unfortunately there are no
    further updates to the kernel so it still segfaults.

    I think I will wait until it compiles with gcc4 before I
    experiment further.

     
  • Emo

    Emo - 2008-05-29

    Logged In: YES
    user_id=1223718
    Originator: NO

    I am closing this ticket for Kiax 0.8.x is no longer supported in favor of Kiax ver 2 - a re-write of the softphone with QT 4.x, gcc4. Pls take a look at sf.net/projects/kiax for more information and downloads.
    Best regards,
    Emil

     
  • Emo

    Emo - 2008-05-29
    • status: open --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks